﻿using System.Collections.Generic;
using Verse;

namespace Mincho_The_Mint_Choco_Slime
{

    public class DefaultHediff
    {
        public DefaultPropertyHediff defaultElementPropertyHediff = new DefaultPropertyHediff();
        public DefaultPropertyHediff defaultBodyTypePropertyHediff = new DefaultPropertyHediff();
    }

    public class DefaultPropertyHediff
    {
        public HediffDef hediffDefName = new HediffDef();
        public List<HediffDef> ifPawnDoesntHaveTheseHeadifs = new List<HediffDef>();
    }

    public class PrefixAndPostfix
    {
        public string prefixOfHair = "";
        public string prefixOfHead = "";
        public string prefixOfBody = "";
        public string prefixOfHediff = "";
        public string postfixOfHediff = "";
    }
    public class Property
    {
        public List<PropertyName> element = new List<PropertyName>();
        public List<PropertyName> bodyType = new List<PropertyName>();
        public List<PropertyName> extra = new List<PropertyName>();
    }
    public class PropertyName
    {
        public List<HediffDef> hediffDefName;
        public string propertyName;
    }

    public class AgeProperty
    {
        public int min;
        public string ageTypeProperty;
        public List<ElementNumber> headElementNumber = new List<ElementNumber>();
        public List<ElementNumber> hairElementNumber = new List<ElementNumber>();
        public UnUsedProperty unUsedProperty = new UnUsedProperty();
    }

    public class UnUsedProperty
    {
        public UnUsed element = new UnUsed();
        public UnUsed bodyType = new UnUsed();
        public UnUsed extra = new UnUsed();
    }

    public class UnUsed
    {
        public List<string> unUsedList = new List<string>();
        public string elseUse;
    }

    public class ElementNumber
    {
        public string elementName;
        public int maxNumber;
    }
}