﻿using Verse;

namespace Mincho_The_Mint_Choco_Slime
{
    [StaticConstructorOnStartup]
    public static class Mincho_The_Mint_Choco_Slime
    {
        static Mincho_The_Mint_Choco_Slime()
        {
            MinchoDefOf.Mincho_Minmoong.comps.Add(new CompProperties(typeof(MinchoComp)));
            MinchoDefOf.Mincho_Minchonyang.comps.Add(new CompProperties(typeof(MinchoComp)));
            MinchoDefOf.Mincho_MinchoLatteIsHorse.comps.Add(new CompProperties(typeof(MinchoComp)));
            MinchoDefOf.Mincho_ThingDef.comps.Add(new CompProperties(typeof(MinchoComp)));
            foreach (ThingDef thingDef in DefDatabase<ThingDef>.AllDefsListForReading.FindAll(delegate (ThingDef x)
            {
                bool result;
                if (x.recipes != null)
                {
                    result = GenCollection.Any<RecipeDef>(x.recipes, (RecipeDef y) => y.defName == "CookMealSimple");
                }
                else
                {
                    result = false;
                }
                return result;
            }))
            {
            }
        }
    }
}
