﻿using System.Collections.Generic;
using Verse;

namespace Mincho_HPF
{
    // Token: 0x02000009 RID: 9
    public class ConstraintOrOp : Constraint
    {
        // Token: 0x06000016 RID: 22 RVA: 0x00002824 File Offset: 0x00000A24
        public override bool CheckActiveCondition(ThingComp comp, Pawn pawn, ThingWithComps equipment)
        {
            using (List<Constraint>.Enumerator enumerator = this.constraints.GetEnumerator())
            {
                while (enumerator.MoveNext())
                {
                    if (enumerator.Current.CheckActiveCondition(comp, pawn, equipment))
                    {
                        return true;
                    }
                }
            }
            return false;
        }

        // Token: 0x0400000E RID: 14
        public List<Constraint> constraints = new List<Constraint>();
    }
}
