﻿using Verse;

namespace Mincho_HPF
{
    // Token: 0x0200000D RID: 13
    public class ConstraintPawnAgeOver : ConstraintPawnAge
    {
        // Token: 0x0600001D RID: 29 RVA: 0x000028CC File Offset: 0x00000ACC
        public override bool CheckActiveCondition(ThingComp comp, Pawn pawn, ThingWithComps equipment)
        {
            if (pawn == null || pawn.ageTracker == null)
            {
                return false;
            }
            if (!this.equal)
            {
                return pawn.ageTracker.AgeBiologicalYears > this.age;
            }
            return pawn.ageTracker.AgeBiologicalYears >= this.age;
        }

        // Token: 0x04000011 RID: 17
        public bool equal;
    }
}
