﻿using HarmonyLib;
using System;
using Verse;

namespace Mincho_The_Mint_Choco_Slime
{
    [StaticConstructorOnStartup]
    public static class Harmony_AddHediff
    {
        static Harmony_AddHediff()
        {
            Harmony harmonyInstance = new Harmony("Mincho_The_Mint_Choco_Slime");

            harmonyInstance.Patch(AccessTools.Method(typeof(Pawn_HealthTracker), "AddHediff", new Type[]
             {
                typeof(Hediff),
                typeof(BodyPartRecord),
                typeof(DamageInfo?),
                typeof(DamageWorker.DamageResult)
              }, null), new HarmonyMethod(patchType, "AddHediffPrefix", null), null, null, null);
            Log.Message("Mincho_The_Mint_Choco_Slime_patched");
        }

        [HarmonyPrefix]
        public static bool AddHediffPrefix(ref Pawn ___pawn, Hediff hediff, BodyPartRecord part = null, DamageInfo? dinfo = null, DamageWorker.DamageResult result = null)
        {
            //꼽사리 : 헤디프는 언제나 바로 추가되므로 이쪽이 남
            //CheckModLoaded.Checkmodloaded();

            if (___pawn.def == MinchoDefOf.Mincho_ThingDef || ___pawn.def == MinchoDefOf.Mincho_Minmoong || ___pawn.def == MinchoDefOf.Mincho_Minchonyang)
            {
                switch (hediff.def.defName)
                {
                    case "Heatstroke":
                    case "Mincho_Brain_Freeze":
                    case "BloodLoss":
                    case "SandInEyes":
                    case "DirtInEyes":
                    case "MudInEyes":
                    case "GravelInEyes":
                    case "WaterInEyes":
                    case "FoodPoisoning":
                    case "ToxicBuildup":
                    case "HeartAttack":
                    case "WoundInfection":
                    case "Mincho_Infection":
                    case "Mincho_Infection_Instant":
                    case "SpaceHypoxia":
                        return false;
                }
            }
            return true;
        }
        private static readonly Type patchType = typeof(Harmony_AddHediff);
    }
}
