﻿using System.Collections.Generic;
using Verse;

namespace Mincho_The_Mint_Choco_Slime
{
    public class HediffCompProperties_HealMincho_Humanlike_Body_Hediff : HediffCompProperties
    {
        public List<HediffDef> healHediffDef = new List<HediffDef>();
        public HediffCompProperties_HealMincho_Humanlike_Body_Hediff()
        {
            compClass = typeof(HediffComp_HealMincho_Humanlike_Body_Hediff);
        }
    }
    public class HediffComp_HealMincho_Humanlike_Body_Hediff : HediffComp
    {
        public HediffCompProperties_HealMincho_Humanlike_Body_Hediff Props
        {
            get
            {
                return (HediffCompProperties_HealMincho_Humanlike_Body_Hediff)props;
            }
        }
        public override void CompPostPostAdd(DamageInfo? dinfo)
        {

            List<Hediff> hediffs = parent.pawn.health.hediffSet.hediffs;

            for (int i = 0; i < Props.healHediffDef.Count; i++)
            {
                for (int k = 0; k < hediffs.Count; k++)
                {
                    if (Props.healHediffDef[i] != parent.def && Props.healHediffDef[i] == hediffs[k].def)
                    {
                        HealthUtility.Cure(hediffs[k]);
                    }
                }

            }
        }
    }
}
