﻿using System.Collections.Generic;
using Verse;

namespace Mincho_The_Mint_Choco_Slime
{
    public class HediffGiver_BrainFreeze : HediffGiver
    {
        public override void OnIntervalPassed(Pawn pawn, Hediff cause)
        {
            hediff = defaultHediff;
            bool sendMessageBool = true;
            for (int i = 0; i < raceHediff.Count; i++)
            {
                if (pawn.def == raceHediff[i].race)
                {
                    hediff = raceHediff[i].changeToThisHediff;
                    sendMessageBool = raceHediff[i].sendMessage;
                    break;
                }
            }

            if (Rand.MTBEventOccurs(mtbDays, 60000f, 60f) && TryApply(pawn, null) && hediff == defaultHediff && Mincho_The_Mint_Choco_Slime_Setting.OnOffBrainFreeze)
            {
                SendLetter(pawn, cause);
            }

            else if (Rand.MTBEventOccurs(mtbDays, 60000f, 60f) && TryApply(pawn, null) && sendMessageBool && hediff != defaultHediff)
            {
                SendLetter(pawn, cause);
            }
        }
        public List<RaceHediff> raceHediff;
        public float mtbDays;
        public HediffDef defaultHediff;
        //public bool sendMessageForDefaultHediff = true;

    }

    public class HediffGiver_Race : HediffGiver
    {
        public override void OnIntervalPassed(Pawn pawn, Hediff cause)
        {
            hediff = defaultHediff;
            bool sendMessageBool = true;
            for (int i = 0; i < raceHediff.Count; i++)
            {
                if (pawn.def == raceHediff[i].race)
                {
                    hediff = raceHediff[i].changeToThisHediff;
                    sendMessageBool = raceHediff[i].sendMessage;
                    break;
                }
            }

            if (Rand.MTBEventOccurs(mtbDays, 60000f, 60f) && TryApply(pawn, null) && sendMessageBool && hediff != defaultHediff)
            {
                SendLetter(pawn, cause);
            }
            else if (Rand.MTBEventOccurs(mtbDays, 60000f, 60f) && TryApply(pawn, null) && sendMessageForDefaultHediff && hediff == defaultHediff)
            {
                SendLetter(pawn, cause);
            }
        }
        public List<RaceHediff> raceHediff;
        public float mtbDays;
        public HediffDef defaultHediff;
        public bool sendMessageForDefaultHediff = true;

    }
    public class RaceHediff
    {
        public HediffDef changeToThisHediff = new HediffDef();
        public ThingDef race = new ThingDef();
        public bool sendMessage = true;
    }
    public class HediffGiver_NeverSendLetter : HediffGiver
    {
        public override void OnIntervalPassed(Pawn pawn, Hediff cause)
        {
            if (Rand.MTBEventOccurs(mtbDays, 60000f, 60f) && TryApply(pawn, null))
            {
            }
        }
        public float mtbDays;
    }
}
