﻿using AlienRace;
using Mincho_HPF;
using RimWorld;
using System.Collections.Generic;
using Verse;

namespace Mincho_The_Mint_Choco_Slime
{
    [DefOf]
    public static class MinchoDefOf
    {
        //HPF
        //public static HPFJobDef ExtractMincho_IceCream;
        public static HPFJobDef ExtractMincho_IceCream_Self;

        //public static HPFJobDef ExtractMincho_IceCream_Animal;
        public static HPFJobDef ExtractMincho_IceCream_Animal_Self;

        //음식
        public static ThingDef Mincho_Mintchoco;

        public static ThingDef Mincho_PinkFallInLove;

        public static ThingDef Mincho_BluePolarBear;

        public static ThingDef Mincho_MintchocoHalfGallon;

        public static ThingDef Mincho_MintchocoDonut;

        public static ThingDef Mincho_MintchocoCake;

        public static ThingDef Mincho_MintCandy;

        //팅 데프
        public static ThingDef Mincho_Minmoong;

        public static ThingDef Mincho_Minchonyang;

        public static ThingDef Mincho_MinchoLatteIsHorse;

        public static ThingDef_AlienRace Mincho_ThingDef;

        public static ThingDef Mincho_MintPlant;

        public static ThingDef Mincho_Filth_BloodDef;

        //레시피
        public static RecipeDef Mincho_Make_Mintchoco;

        public static RecipeDef Mincho_Make_MintchocoCake;

        public static RecipeDef Mincho_Make_MintchocoCake_Bulk;

        public static RecipeDef Mincho_Make_Mintchoco_Bulk;

        //헤디프
        public static HediffDef Mincho_Animal_AutoRecovery;

        public static HediffDef Mincho_Base_Hediff;

        public static HediffDef Mincho_Hediff_Small_Mintchoco_Hediff;

        public static HediffDef Mincho_Hediff_Medium_Mintchoco_Hediff;

        public static HediffDef Mincho_Hediff_Large_Mintchoco_Hediff;

        public static HediffDef Mincho_Melt;

        public static HediffDef Mincho_Frozen;

        //이벤트
        public static IncidentDef WandererJoin_Mincho;

        public static IncidentDef WandererJoin_BluePolarBear;

        public static IncidentDef WandererJoin_PinkFallInLove;

        public static IncidentDef WandererJoin_Mincho_Minchonyang;

        public static IncidentDef WandererJoin_Mincho_Minmoong;

        public static IncidentDef WandererJoin_Mincho_MinchoLatteIsHorse;

        //폰카인드
        public static PawnKindDef Mincho_Hoper;

        //메소드
        //리스트에서 랜덤 선택
        public static T GetRandom<T>(List<T> list)
        {
            return list[UnityEngine.Random.Range(0, list.Count)];
        }

        //특정 헤디프 보유 여부 판단 후 피료
        public static void HealHediff(Pawn input, HediffDef hedifftoheal)
        {
            if (input.health.hediffSet.HasHediff(hedifftoheal, false))
            {
                input.health.hediffSet.GetFirstHediffOfDef(hedifftoheal, false).Heal(10f);
            }
        }

        //특정 헤디프 보유 여부 판단 후 추가
        public static void AddHediff(Pawn input, HediffDef hedifftoadd)
        {
            if (!input.health.hediffSet.HasHediff(hedifftoadd, false))
            {
                input.health.AddHediff(hedifftoadd);
            }
        }

    }
}