﻿using Verse;

namespace Mincho_The_Mint_Choco_Slime
{
    public class ChangeLook_Hediff : HediffWithComps
    {
        public override void PostAdd(DamageInfo? dInfo)
        {
            foreach (ChangeLookDef changeLook in DefDatabase<ChangeLookDef>.AllDefs)
            {
                if (changeLook.targetRace == pawn.def)
                {
                    base.PostAdd(dInfo);
                    ThingComp_ChangeWithAge thingComp_ChangeWithAge = pawn.TryGetComp<ThingComp_ChangeWithAge>();
                    thingComp_ChangeWithAge.bodycheck = true;
                    thingComp_ChangeWithAge.ChangeLook_HediffFixTestError = true;
                }
            }
        }
        public override void PostRemoved()
        {
            foreach (ChangeLookDef changeLook in DefDatabase<ChangeLookDef>.AllDefs)
            {
                if (changeLook.targetRace == pawn.def)
                {
                    base.PostRemoved();
                    ThingComp_ChangeWithAge thingComp_ChangeWithAge = pawn.TryGetComp<ThingComp_ChangeWithAge>();
                    thingComp_ChangeWithAge.bodycheck = true;
                    thingComp_ChangeWithAge.ChangeLook_HediffFixTestError = true;
                }
            }
        }
    }
}
