﻿using HarmonyLib;
using RimWorld;
using Verse;

namespace Mincho_The_Mint_Choco_Slime
{
    [StaticConstructorOnStartup]
    public static class Harmony_GetTraderCaravanRole
    {
        static Harmony_GetTraderCaravanRole()
        {
            Log.Message("Mincho_The_Mint_Choco_Slime_patched", false);
            Harmony harmonyInstance = new Harmony("Mincho_The_Mint_Choco_Slime");
            harmonyInstance.Patch(AccessTools.Method(typeof(TraderCaravanUtility), "GetTraderCaravanRole"), null, new HarmonyMethod(typeof(Harmony_GetTraderCaravanRole), "GetTraderCaravanRolePostFix"));

        }
        [HarmonyPostfix]
        public static void GetTraderCaravanRolePostFix(Pawn p, ref TraderCaravanRole __result)
        {
            if (p.kindDef.defName == "Mincho_Hoper") __result = TraderCaravanRole.Chattel;
        }
    }
}
