﻿using System.Collections.Generic;
using RimWorld;
using Verse;

namespace Mincho_The_Mint_Choco_Slime
{
    public class MinchoPlantComp : Plant
    {
        public override void TickLong()
        {
            base.TickLong();
            if (count >= 4f)
            {
                for (int i = 1; i < 57; i++)
                {
                    IntVec3 intVec = Position + GenRadial.RadialPattern[i];
                    if (GenGrid.InBounds(intVec, Map) && RegionAndRoomQuery.GetRoom(this, (RegionType)6) == GridsUtility.GetRoom(intVec, Map, (RegionType)6))
                    {
                        List<Thing> list = GridsUtility.GetThingList(intVec, Map).FindAll((Thing x) => x.def != MinchoDefOf.Mincho_MintPlant && x.def.plant != null);

                        list.ForEach(delegate (Thing x)
                        {
                            x.TakeDamage(new DamageInfo(DamageDefOf.Rotting, 40f, 0f, -1f, null, null, null, 0, null));
                        });

                    }
                }
                count = 0f;
            }
            count += 1f;
        }

        private float count;
    }
}
