﻿using System.Collections.Generic;
using Verse;

namespace Mincho_HPF
{
    // Token: 0x02000002 RID: 2
    public class CompEquipConstraint : ThingComp
    {
        // Token: 0x17000001 RID: 1
        // (get) Token: 0x06000001 RID: 1 RVA: 0x00002050 File Offset: 0x00000250
        public CompProperties_EquipConstraint Props
        {
            get
            {
                return (CompProperties_EquipConstraint)this.props;
            }
        }

        // Token: 0x06000002 RID: 2 RVA: 0x0000252C File Offset: 0x0000072C
        public bool CanPawnEquip(Pawn pawn)
        {
            using (List<Constraint>.Enumerator enumerator = this.Props.constraints.GetEnumerator())
            {
                while (enumerator.MoveNext())
                {
                    if (!enumerator.Current.CheckActiveCondition(this, pawn, this.parent))
                    {
                        return false;
                    }
                }
            }
            return true;
        }
    }
}
