﻿using System.Collections.Generic;
using Verse;

namespace Mincho_HPF
{
    // Token: 0x02000007 RID: 7
    public class ConstraintAndOp : Constraint
    {
        // Token: 0x06000012 RID: 18 RVA: 0x000027C8 File Offset: 0x000009C8
        public override bool CheckActiveCondition(ThingComp comp, Pawn pawn, ThingWithComps equipment)
        {
            using (List<Constraint>.Enumerator enumerator = this.constraints.GetEnumerator())
            {
                while (enumerator.MoveNext())
                {
                    if (enumerator.Current.CheckActiveCondition(comp, pawn, equipment))
                    {
                        return true;
                    }
                }
            }
            return false;
        }

        // Token: 0x0400000C RID: 12
        public List<Constraint> constraints = new List<Constraint>();
    }
}
